var speed2=10; 
tdemo2.innerHTML=tdemo1.innerHTML;    //克隆tdemo1为tdemo2 
function Marquee2(){ 
    if(tdemo2.offsetWidth  <= tdemo.scrollLeft){    //当滚动至tdemo1与tdemo2交界时 
        tdemo.scrollLeft = tdemo.scrollLeft - tdemo1.offsetWidth;        //tdemo跳到最顶端 
    } 
    else{ 
        tdemo.scrollLeft++; 
    } 
} 

var version2 = "other" 
browserName2 = navigator.appName;    
browserVer2 = parseInt(navigator.appVersion2); 

if (browserName2 == "Netscape" && browserVer2 >= 3) version2 = "n3"; 
else if (browserName2 == "Netscape" && browserVer2 < 3) version2 = "n2"; 
else if (browserName2 == "Microsoft Internet Explorer" && browserVer2 >= 4) version2 = "e4"; 
else if (browserName2 == "Microsoft Internet Explorer" && browserVer2 < 4) version2 = "e3"; 

function marquee2() 
{ 
    if (version2 == "e4") 
    { 
        document.write("<marquee style='BOTTOM: 0px; FONT-WEIGHT: 199px; HEIGHT:90px;  TEXT-ALIGN: left; TOP: 0px' id='news' scrollamount='5' scrolldelay='20' behavior='loop' direction='up' border='0' onmouseover='this.stop()' onmouseout='this.start()'>") 
    } 
} 

var MyMar2=setInterval(Marquee2,speed2);    //设置定时器 
tdemo.onmouseover=function() {clearInterval(MyMar2);}//鼠标移上时清除定时器达到滚动停止的目的 
tdemo.onmouseout=function() {MyMar2=setInterval(Marquee2,speed2);}//鼠标移开时重设定时器        